Skip to main content

Create Account For Org

POST 

/v1/org/:org_identifier/account-org

Create an Account if it does not exists and assign Account to Organization. If an existing account is found (matched by email) then the existing first, last, and nicknames will be used and values provided will be ignored. To update first, last, and nickname fields use the Account update API.This API requires accountOrg:config:edit permissions for the Organization.

Request

Path Parameters

    org_identifier anyrequired

    Organization ID or short name

Query Parameters

    m2m M2M

    Create a Machine-To-Machine account for the organization.

Body

required

    org_id uuidrequired

    Organization that this user belongs to

    account_email Account Email (string)

    Email address for this account

    first_name First Name (string)

    Name for this account

    last_name Last Name (string)

    Last name for this account

    nickname Nickname (string)

    Nickname for this account

    password Password (string)

    Password for this account

    description Description (string)

    Description for this account

    client_secret Client Secret (string)

    Client secret for this account

Responses

Successful Response

Schema

    anyOf

    account_id uuidrequired

    Account id

    org_id uuidrequired

    Organization that this user belongs to

    description Description (string)required

    Description of the M2M account

    client_secret Client Secret (string)required

    Client secret for this account

Loading...